LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-04-2003, 09:51 PM   #1
jrdioko
Member
 
Registered: Oct 2002
Distribution: Debian 6.0.2 (squeeze)
Posts: 944

Rep: Reputation: 30
Question gAIM and Libraries


Just when everything was working I went and messed it up again

I was running the version of gaim that came with Slack 9 (I believe it was something like 0.60). I went on the sourceforge site and saw that there was a more recent version, so I downloaded it. I ran ./configure and it told me I had a previous installation in /usr/bin/gaim, so I deleted that folder and then proceeded with make and make install. There may have been a few error messages that flew by but if there were, I didn't see them. Now when I go to a command line and type "gaim" I get:

gaim: error while loading shared libraries: libnss3.so: cannot open shared object file: No such file or directory

Maybe there are more dependencies with the new version? Either way, I really have not worked with Linux enough to know how to get all those working well, so what exactly is this message telling me I need to do?

Thanks,
JMagi
 
Old 10-04-2003, 10:18 PM   #2
trickykid
LQ Guru
 
Registered: Jan 2001
Posts: 24,149

Rep: Reputation: 234Reputation: 234Reputation: 234
I believe that package either comes with either the db package or glibc.... you can find most of the updated packages here for download: ftp://ftp.cerias.purdue.edu/pub/os/s...nt/slackware/l
 
Old 10-04-2003, 10:29 PM   #3
jrdioko
Member
 
Registered: Oct 2002
Distribution: Debian 6.0.2 (squeeze)
Posts: 944

Original Poster
Rep: Reputation: 30
OK. Do these packages not come with Slack 9.0? I assumed most standard libraries would be included, but I have no idea if these are standard. Also, which file do I need to download from that site? There are multiple versions. Finally, do I install libraries just like anything else (untar in /usr/local/bin, ./configure, make, make install, or whatever is says in INSTALL file)?

Thanks,
JMagi
 
Old 10-04-2003, 10:42 PM   #4
jrdioko
Member
 
Registered: Oct 2002
Distribution: Debian 6.0.2 (squeeze)
Posts: 944

Original Poster
Rep: Reputation: 30
Well, thank you for your help, but I was just able to fix it with a suggestion at another page (using locate to find the file, adding the path to /etc/ld.so.conf, ldconfig).

I appreciate your help though,
JMagi
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
finding libraries [gaim installation] LordFrancis Linux - Newbie 4 10-05-2004 10:18 AM
gaim-vv and libraries problem mandrake OrganicOrange84 Linux - Software 2 09-04-2004 03:46 AM
Libtool cannot find libraries(that do in fact exist) during GAIM install sachingulaya Linux - Software 3 07-06-2004 09:31 PM
gaim configure can't find ssl libraries shanenin Linux - Software 2 10-18-2003 02:46 PM
gaim trying to link static and shared libraries rose_bud4201 Linux - Software 0 09-28-2003 01:27 AM


All times are GMT -5. The time now is 06:31 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration